/*
 * Tirititran es un juego de naves en 2D ambientado en Cádiz
 * Copyright (C) 2004  Javier Pérez Pacheco
 *
 * Este juego tienen licencia Creative Commons y se permite
 * su modificacion y utilizacion libremente siempre y cuando se
 * cite al autor original y se comparta con la misma licencia.
 * No se permite su uso comercial.
 * 
 * Para mas informacion visite la web:
 * http://creativecommons.org/licenses/by-nc-sa/2.0/es/
 *
 * PROGRAMADOR
 * Javier Pérez Pacheco
 * Cadiz (Spain)
 * javi.pacheco@terra.es
 *
 * GRAFISMO Y 3D
 * Jesus Carrasco
 * Cadiz (Spain)
 * carrasco.carrasco@gmail.com
 *
 * MUSICA Y GRAFISMO
 * Shano Lores
 * Cadiz (Spain)
 * shano@mail.ono.es
 *
 */

#ifndef FUENTE_H_
#define FUENTE_H_

#include <stdlib.h>
#include <string.h>
#include <SDL.h>
#include <SDL_mixer.h>
#include <SDL_ttf.h>
#include "defines.h"
#include "elementos.h"

class Fuente {
	
private:

public:
	int salir;
	Fuente ();
	SDL_RWops* RWFromRar(char *fileRar, char *file);
	void initFuente ();
	void escribirTexto (SDL_Surface *sc, int tipoFuente, int align, int valign, int size, char txt[63], int fgR, int fgG, int fgB, int bgR, int bgG, int bgB, int x, int y);
	SDL_Surface * escribirTexto (int tipoFuente, int size, char txt[63], int fgR, int fgG, int fgB, int bgR, int bgG, int bgB);
	void escribirParrafo (SDL_Surface *sc, int tipoFuente, int align, int valign, int size, char txt[63], int fgR, int fgG, int fgB, int bgR, int bgG, int bgB, int x, int y, int separacionInterlineal);
	void unLoadFuente ();
};

#endif /* FUENTE_H_ */
